## apt 0.3.10slink11

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: headers library clean veryclean all binary program doc
all headers library clean veryclean binary program doc:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C methods $@
#	$(MAKE) -C methods/ftp $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C dselect $@
ifdef GUI	
	$(MAKE) -C deity $@
	$(MAKE) -C gui $@
endif
	$(MAKE) -C doc $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity 
maintainer-clean dist-clean distclean pristine sanity: veryclean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

## apt 0.1.8

=== debian/changelog ===
apt (0.1.8) stable; urgency=low

  * hamm (Debian 2.0) build of apt 0.1.9. This should go into
    the "upgrades" directory of slink before its release to
    facilitate the upgrade from hamm to slink.

 -- Ben Gertzfield <che@debian.org>  Thu,  5 Nov 1998 17:29:11 -0800
	

apt (0.1.9) unstable; urgency=low

  * Return to the wacky numbering for when we build 0.1.8 for hamm
  * Important bug related to APT on the Alpha fixed
  * apt-get dist-upgrade problems fixed
  * tiny patch for http method to fix an endless loop
  * nice fix from /usr/doc/lintian/ to remove rpath nastiness from
    libtool and add proper shared lib dependancies
  * now dh_shlibdeps is called with LD_LIBRARY_PATH=debian/tmp/usr/lib
    in case an old libpkg is installed while building APT to prevent
    spurious dependancies

 -- Ben Gertzfield <che@debian.org>  Thu,  5 Nov 1998 17:06:09 -0800

apt (0.1.7) unstable; urgency=low

  * New build with libstdc++2.9.
  * Various fixes; read the Changelog.

 -- Ben Gertzfield <che@debian.org>  Thu, 15 Oct 1998 18:29:18 -0700

apt (0.1.6) unstable; urgency=low

  * Various fixes in the FTP method for error checking. Fixes: #26188.
  * Spelling corrections in dselect method. Fixes: #25884
  * Fixes for compilation on alpha/ppc. Fixes: #25313, #26108.
  * No more bo releases: we're using a normal numbering system now.

 -- Ben Gertzfield <che@debian.org>  Tue,  8 Sep 1998 19:27:13 -0700

apt (0.1.5) unstable; urgency=low

  * Changed sources.list to point to 'unstable' by default, as
    'frozen' no longer exists!

 -- Ben Gertzfield <che@debian.org>  Thu, 23 Jul 1998 22:00:18 -0700

apt (0.1.3) unstable; urgency=low

  * New upstreamish version.
  * ftp method rewritten in C. Removes dependancies on all perl/perl
    related modules. This fixes many of the ftp method bugs.

 -- Ben Gertzfield <che@debian.org>  Thu, 16 Jul 1998 22:19:00 -0700

apt (0.1.1) unstable; urgency=low

  * Release for unstable.

 -- Ben Gertzfield <che@debian.org>  Tue, 30 Jun 1998 20:48:30 -0700

apt (0.1) unstable; urgency=low

  * Kludge to fix problem in libnet-perl with illegal anonymous
    FTP passwords.
  * Moved to unstable; apt is in a useable state now.
  * Fixed version numbering. From now on, numbering will be:
    0.1 (no actual release) -> 0.1.0bo (release for libc5) ->
    0.1.1 (release for unstable). Thanks, Manoj.
  
 -- Ben Gertzfield <che@debian.org>  Tue, 30 Jun 1998 20:40:58 -0700

apt (0.0.17-1) experimental; urgency=low

  * Fixed problem with libc6 version compare
  * Scott's away for a while, so I'll be packaging apt for the time
    being.

 -- Ben Gertzfield <che@debian.org>  Thu, 25 Jun 1998 19:02:03 -0700

apt (0.0.16-1) experimental; urgency=low

  * Modifications to make apt-get more friendly when backgrounded.
  * Updated documentation.
  * Updates to graphic widgets

 -- Scott K. Ellis <scott@debian.org>  Mon,  8 Jun 1998 11:22:02 -0400

apt (0.0.15-0.2bo) experimental; urgency=low

  * Bo compilation
  * Bob Hilliards crash
  
 -- Jason Gunthorpe <jgg@debian.org>  Sun, 31 May 1998 20:18:35 -0600

apt (0.0.15-0.1bo) experimental; urgency=low

  * Bo compilation
  * libstdc++272 patch
  
 -- Jason Gunthorpe <jgg@debian.org>  Sun, 31 May 1998 20:18:35 -0600

apt (0.0.15) experimental; urgency=low

  * Clean up source tarball (no user-visible changes)

 -- Scott K. Ellis <scott@debian.org>  Tue, 26 May 1998 12:23:53 -0400

apt (0.0.14) experimental; urgency=low

  * Updates in ordering code to make sure certain upgrades work correctly.
  * Made dselect/setup understand ftp as well as http

 -- Scott K. Ellis <scott@debian.org>  Wed, 20 May 1998 13:33:32 -0400

apt (0.0.13-bo1) experimental; urgency=low

  * Bo compilation

 -- Jason Gunthorpe <jgg@debian.org>  Mon, 18 May 1998 15:10:49 -0600 

apt (0.0.13) experimental; urgency=low

  * Remove hardcoded egcc from debian/rules (#21575)
  * Fixes for ordering logic when system has a number of unpacked
    but unconfigured packages installed.
  * Spelling fix in dselect install method (#22556)

 -- Scott K. Ellis <scott@debian.org>  Sun, 17 May 1998 20:08:33 -0400

apt (0.0.12) experimental; urgency=low

  * Fixed problems with package cache corruption.
  * Made to depend on libc6 >= 2.0.7pre1 due to timezone problems with
    earlier versions.
  * Interface and documentation improvements.

 -- Scott K. Ellis <scott@debian.org>  Sat, 16 May 1998 23:17:32 -0400

apt (0.0.11) experimental; urgency=low

  * Change dependancies to pre-depends since breaking your packaging tools
    in the middle of an installation isn't very good.
  * Bug fixes to ftp method and general apt-get code

 -- Scott K. Ellis <scott@debian.org>  Fri, 15 May 1998 08:57:38 -0400

apt (0.0.10) experimental; urgency=low

  * Run "dpkg --configure -a" after an aborted dselect install
  * Fixed problem with install looping
  * Support for authenticating proxys: (note this isn't terribly secure)
    http_proxy="http://user:pass@firewall:port/"
  * Substitute $ARCH in sources.list
  * Fixes in the resumption code for ftp

 -- Scott K. Ellis <scott@debian.org>  Tue, 12 May 1998 09:14:41 -0400

apt (0.0.9) experimental; urgency=low

  * Added ftp support.
  * Various other less visible bug fixes.
  * Fixed problem with segfault when apt-get invoked in a non-existant 
    directory (Bug #21863)
  * Bumped policy to 2.4.1

 -- Scott K. Ellis <scott@debian.org>  Fri,  1 May 1998 09:18:19 -0400

apt (0.0.8) experimental; urgency=low

  * Fixed generated available file (Bug #21836)
  * Added download ETA (Bug #21774).
  * Fixed hardcoded ARCH (Bug #21751).
  * Fixed check on http_proxy (Bug #21795).
  * Added download speed indicator.

 -- Scott K. Ellis <scott@debian.org>  Mon, 27 Apr 1998 10:58:32 -0400

apt (0.0.7) experimental; urgency=low

  * Remove libdeity and apt from package for now, since only apt-get and
    apt-cache are actually useful right now.
  * Clean up handling of package installation errors.
  * Added timeout to http transfers (#21269)


=== debian/control ===
Source: apt
Section: admin
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Standards-Version: 2.4.1

Package: apt
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: deity
Replaces: deity
Description: Front-End for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in 
 /usr/doc/apt/guide.text.gz

## apt 0.1.10

=== debian/changelog ===
apt (0.1.10) unstable; urgency=low

  * Fix llug reference in dselect APT method setup.
  * Fix versioning code for multiple -s
  * noupgrade backport from v3

 -- Ben Gertzfield <che@debian.org>  Tue, 12 Jan 1999 20:18:51 -0800

apt (0.1.9) frozen unstable; urgency=low

  * Return to the wacky numbering for when we build 0.1.8 for hamm
  * Important bug related to APT on the Alpha fixed
  * apt-get dist-upgrade problems fixed
  * tiny patch for http method to fix an endless loop
  * nice fix from /usr/doc/lintian/ to remove rpath nastiness from
    libtool and add proper shared lib dependancies
  * now dh_shlibdeps is called with LD_LIBRARY_PATH=debian/tmp/usr/lib
    in case an old libpkg is installed while building APT to prevent
    spurious dependancies

 -- Ben Gertzfield <che@debian.org>  Thu,  5 Nov 1998 17:43:25 -0800

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.17 1998/11/05 07:23:15 che Exp $


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp: Makefile.in
	dh_testdir

	mkdir build
#	cd build && CC=egcc CXX=g++ CXXFLAGS="-g -Wall -D_POSIX_C_SOURCE=199309" ../configure --disable-nls --disable-static --prefix=/usr
	cd build && CXXFLAGS="-g -Wall -D_POSIX_C_SOURCE=199309" ../configure --disable-nls --disable-static --prefix=/usr
	cd build && make all-hdr
	cd build && make -s
	
	# Add here commands to compile the package.
#	$(MAKE) CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp debian/ChangeLog

	# Add here commands to clean up after the build process.
#	-$(MAKE) distclean
	rm -rf build
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
#	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cd build && make install prefix=`pwd`/../debian/tmp/usr
	rm -rf debian/tmp/usr/include
	rm -f debian/tmp/usr/doc/apt/*.{sgml,text}*
	mv debian/tmp/usr/bin/http debian/tmp/usr/lib/apt/methods/
	mv debian/tmp/usr/bin/ftp debian/tmp/usr/lib/apt/methods/
	find methods/dselect -type f -maxdepth 1 -exec cp -p {} debian/tmp/usr/lib/dpkg/methods/apt/ \;
	cp debian/sources.list debian/tmp/etc/apt/
	head -n 500 ChangeLog > debian/ChangeLog

	dh_installdocs NEWS README TODO debian/ChangeLog
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages

	# Remove apt and libdeity from package since they're non-functional
	rm -f debian/tmp/usr/bin/apt debian/tmp/usr/man/man8/apt.8*
	rm -f debian/tmp/usr/lib/libdeity*
	rm -f debian/tmp/usr/lib/*.so

#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	LD_LIBRARY_PATH=debian/tmp/usr/lib dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

# Update from CVS
l33ch: really-clean
	cvs update
	utils/mkChangeLog

# Update from CVS and then configure for build
super-l33ch: l33ch Makefile.in

Makefile.in:
	aclocal -I .
	autoconf
	autoheader
	gettextize -f -c
	libtoolize -f -c
	automake -a
	cd pkglib && ln -sf deb/*.cc .

l33ch-stamp: super-l33ch
	touch l33ch-stamp

really-clean: clean
	-find -name Makefile.in -print0 | xargs -0r rm -f
	find -name ChangeLog | xargs rm -f
	rm -f l33ch-stamp

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# $Log: rules,v $
# Revision 1.17  1998/11/05 07:23:15  che
# Updates for 0.1.9
#
# Revision 1.16  1998/10/16 02:24:21  che
# d'oh, fixed braino with the rm of the sgml/text files
#
# Revision 1.15  1998/10/16 02:16:33  che
# dh_installchangelogs won't install an upstream changelog for a
# native Debian package. *sigh* moved call to dh_installdocs
#
# Revision 1.14  1998/10/16 02:06:53  che
# ChangeLog was really big. Now we do a head -n 500 of it for installing.
#
# Revision 1.13  1998/10/16 02:01:13  che
# remove design docs, they're not useful to people and take up lots of space
#
# Revision 1.12  1998/07/17 05:13:45  che
# Updated debian/ files for 0.1.2 release.
#
# Revision 1.11  1998/05/26 14:34:34  scott
# Remove libpkg.so link to placate lintian (and since we don't really need it)
#
# Revision 1.10  1998/05/18 13:48:51  scott
# Removed hardcoded egcc in build.
#
# Revision 1.9  1998/05/12 13:13:50  scott
# Added autoconf/automake/libtool/gettext files
# Modified rules to make files in archive real instead of symlinks.
#
# Revision 1.8  1998/05/08 13:48:33  scott
# Install new FTP method for apt.
#
# Revision 1.7  1998/04/23 02:20:16  scott
# Remove apt and libdeity from final package since they're non-functional.
#
# Revision 1.6  1998/04/06 17:50:35  scott
# Replace installation of undocumented(7) links with the real manpage.
#
# Revision 1.5  1998/04/04 19:07:26  scott
# Update rules file to setup package for building if it hasn't been done so
# already when the build rule is called.
#
# Revision 1.4  1998/04/03 15:14:33  scott
# Add prefix to configure.
#
# Revision 1.3  1998/04/03 14:32:29  scott
# Add undocumented manpage links.
# Create shlibs file to keep lintian happy.
#
# Revision 1.2  1998/04/02 22:10:05  scott
# Updated rules files to actually build an apt package.
# Run debian/rules super-l33ch before building.
#
# Revision 1.1  1998/03/31 18:07:43  scott
# Added code files in debian/ directory.  Not functional to build the package
# yet however.
#

## apt 0.3.10slink11

=== debian/changelog ===
apt (0.3.10slink11) stable; urgency=low

  * Same as 0.3.11, but for slink/hamm (GNU libc 2.0)

 -- Remco van de Meent <remco@debian.org>  Sat,  7 Aug 1999 22:50:38 +0200

apt (0.3.11) unstable; urgency=low

  * Fix for mis-parsed file: URIs. Closes: #40373, #40366, #40230
  * Fix for properly upgrading the system from perl 5.004 to 5.005

 -- Ben Gertzfield <che@debian.org>  Mon, 28 Jun 1999 21:06:44 -0700

apt (0.3.9) unstable; urgency=low

  * Spelling error in cachefile.cc. Closes: #39885
  * Trailing slash in dselect install if you try to use the 
    default config file. Closes: #40011
  * Simulate works for autoclean. Closes: #39141
  * Fixed spelling errors. Closes: #39673
  * Changed url parsing a bit. Closes: #40070, #40069
  * Version 0.3.8 will be for slink/hamm (GNU libc 2).

 -- Ben Gertzfield <che@debian.org>  Thu, 24 Jun 1999 18:02:52 -0700

apt (0.3.7) unstable; urgency=low

  * Fixed missing text in the apt-get(8) page. Closes: #37596
  * Made --simulate and friends work with apt-get source. Closes: #37597, #37656
  * Fixed inclusion of man pages in the -doc/-dev package. Closes: #37633, #38651
  * Fixed handling of the -q option with not-entirely integer arguments
    Closes: #37499
  * Man page typo Closes: #37762
  * Fixed parsing of the Source: line. Closes: #37679
  * Dpkg/dpkg-hurd source bug. Closes: #38004, #38032
  * Added a check for an empty cache directory. Closes: #37963
  * Return a failure code if -d is given and packages fail to download.
    Closes: #38127
  * Arranged for an ftp proxy specifing an http server to work. See the
    important note in the sources.list man page.
  * Accounted for resumed files in the cps calculation. Closes: #36787
  * Deal with duplicate same version different packages. Closes: #30237
  * Added --no-download. Closes: #38095
  * Order of apt-cdrom dist detection. Closes: #38139
  * Fix apt-cdrom chop handling and missing lines. Closes: #37276
  * IPv6 http support
  * Suggests dpkg-dev for apt-get source. Closes: #38158
  * Fixed typo in apt-get help. Closes: #38712
  * Improved the error message in the case of broken held package. Closes: #38777
  * Fixed handling of MD5 failures
  * Documented list notation Closes: #39008
  * Change the 'b' to 'B'. Closes: #39007 
  
 -- Ben Gertzfield <che@debian.org>  Sun, 20 Jun 1999 18:36:20 -0700
 

apt (0.3.6) unstable; urgency=low

  * Note that 0.3.5 never made it out the door..
  * Fix for apt-cdrom and unusual disk label locations. Closes: #35571
  * Made APT print numbers in decimal. Closes: #35617, #37319
  * Buffer munching fix for FTP. Closes: #35868
  * Typo in sample config file. Closes: #35907
  * Fixed whitespace in version compares. Closes: #35968, #36283, #37051
  * Changed installed size counter to only count unpacked packages. 
    Closes: #36201
  * apt-get source support. Closes: #23934, #27190
  * Renames .debs that fail MD5 checking, provides automatic corruption
    recovery. Closes: #35931
  * Fixed autoconf verison. Closes: #37305
  * Random Segfaulting. Closes: #37312, #37530
  * Fixed apt-cache man page. Closes: #36904
  * Added a newline to apt-cache showpkg. Closes: #36903
  
 -- Ben Gertzfield <che@debian.org>  Wed, 12 May 1999 09:18:49 -0700

apt (0.3.4) unstable; urgency=low

  * Release for Ben while he is out of town.
  * Checked the size of partial files. Closes: #33705
  * apt-get should not print progress on non-tty. Closes: #34944
  * s/guide.text.gz/users-guide.txt.gz/ debian/control: Closes: #35207
  * Applied cdrom patches from Torsten.  Closes: #35140, #35141
  * smbmounted cdrom fix. Closes: #35470
  * Changed ie to eg.  Closes: #35196

 -- Adam Heath <doogie@debian.org>  Sun,  4 Apr 1999 18:26:44 -0500

apt (0.3.3) unstable; urgency=low

  * Fixes bug with file:/ URIs and multi-CD handling. Closes: #34923

 -- Ben Gertzfield <che@debian.org>  Tue, 23 Mar 1999 12:15:44 -0800

apt (0.3.2) unstable; urgency=low

  * Major release into unstable of v3
  * These bugs have been fixed, explanations are in the bug system, read
    the man pages as well..
    Closes: #21113, #22507, #22675, #22836, #22892, #32883, #33006, #34121,
    	    #23984, #24685, #24799, #25001, #25019, #34223, #34296, #34355,
	    #24021, #25022, #25026, #25104, #25176, #31557, #31691, #31853,
    	    #25458, #26019, #26433, #26592, #26670, #27100, #27100, #27601,
    	    #28184, #28391, #28778, #29293, #29351, #27841, #28172, #30260,
    	    #29382, #29441, #29903, #29920, #29983, #30027, #30076, #30112,
    	    #31009, #31155, #31381, #31883, #32140, #32395, #32584. #34465,
    	    #30383, #30441, #30472, #30643, #30827, #30324, #36425, #34596

 -- Ben Gertzfield <che@debian.org>  Mon, 15 Mar 1999 19:14:25 -0800

apt (0.3.1) experimental; urgency=low

  * Minor release of cvs version.
  * Added virtual package libapt-pkgx.x

 -- Mitch Blevins <mblevin@debian.org>  Wed, 10 Mar 1999 07:52:44 -0500

apt (0.3.0) experimental; urgency=low

  * New experimental version.

 -- Ben Gertzfield <che@debian.org>  Tue, 15 Dec 1998 12:53:21 -0800

=== debian/control ===
Source: apt
Section: admin
Priority: standard
Maintainer: APT Development Team <deity@lists.debian.org>
Standards-Version: 2.4.1

Package: apt
Architecture: any
Depends: ${shlibs:Depends}
Priority: standard
Conflicts: deity
Replaces: deity, libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
Provides: libapt-pkg${libapt-pkg:major}
Suggests: dpkg-dev
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in 
 /usr/doc/apt/users-guide.txt.gz

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: libapt-pkg${libapt-pkg:major}
Description: Development files for APT's libapt-pkg
 This package contains the header files and static libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.17 1999/05/14 02:51:37 jgg Exp $


# For the deb builder, you can run 'debian/rules cvs-build', which does all
# steps nescessary to produce a proper source tarball with the CVS/ removed.
# It builds in debian/cvs-build/apt-<VER>/, and places files in
# debian/cvs-build/.  Optionally, you can run 'debian/rules cvs-mkul' to
# create ../upload-<VER>, with all the files needed to be uploaded placed
# in it.

DEB_BUILD_PROG:=debuild -us -uc
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname -m) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifneq ($(APT_DEBVER),$(APT_CONFVER))
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$;mv $@.$$$$ $@
else
configure.in:
endif

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
export LIBAPT_MAJOR:=$(shell egrep '^MAJOR=' apt-pkg/makefile |cut -d '=' -f 2)
#debian/shlibs.local:
#	rm -f $@
#	echo "libapt-pkg $(LIBAPT_MAJOR) libapt-pkg$(LIBAPT_MAJOR)" >> $@
#	echo "libapt-pkg $(LIBAPT_MAJOR) apt $(APT_DEBVER)" >> $@

build: build-stamp
build-stamp: configure
	dh_testdir
	-mkdir build
	(cd build; ../configure)
#	cd build && CXXFLAGS="-g -Wall -D_POSIX_C_SOURCE=199309" ../configure --disable-nls --disable-static --prefix=/usr
#	cd build && make all-hdr
#	cd build && make -s
	
	# Add here commands to compile the package.
	make
	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp
	rm -rf build

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) distclean
	dh_clean

binary-indep: libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#
	-cp -a $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
	  $(BLD)/docs/files* $(BLD)/docs/method* debian/libapt-pkg-doc/usr/doc/apt/
	cp -a debian/libapt-pkg-doc.dhelp debian/libapt-pkg-doc/usr/doc/libapt-pkg-doc/.dhelp
	dh_installdocs -p$@
	dh_installexamples -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installmanpages -p$@

#	dh_undocumented -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:major=${LIBAPT_MAJOR}
	dh_md5sums -p$@
	dh_builddeb -p$@


# Build architecture-dependent files here.

binary-arch: apt libapt-pkg-dev
apt: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# apt install
#
	cp $(BLD)/bin/apt-* debian/tmp/usr/bin/
	
	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-pkg.so.*" -exec cp -a "{}" debian/tmp/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-pkg.so.*" -exec cp -a "{}" debian/tmp/usr/lib/ \;

	cp $(BLD)/bin/methods/* debian/tmp/usr/lib/apt/methods/

	cp $(BLD)/scripts/dselect/* debian/tmp/usr/lib/dpkg/methods/apt/
#	cp debian/sources.list debian/tmp/etc/apt/

	# Copy the users guide	
	-cp $(BLD)/docs/guide.text debian/tmp/usr/doc/apt/users-guide.txt
	-cp -a $(BLD)/docs/guide.html/* debian/tmp/usr/doc/apt/users-guide.html/
	
	# Copy the offline guide	
	-cp $(BLD)/docs/offline.text debian/tmp/usr/doc/apt/offline.txt
	-cp -a $(BLD)/docs/offline.html/* debian/tmp/usr/doc/apt/offline.html/
	
	cp -a debian/dhelp debian/tmp/usr/doc/apt/.dhelp
	
#	head -n 500 ChangeLog > debian/ChangeLog



	dh_installdocs -p$@
	dh_installexamples -papt $(BLD)/docs/examples/*
#	dh_installmenu -papt
#	dh_installinit -papt
#	dh_installcron -papt
	dh_installmanpages -p$@

#	dh_undocumented -papt
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	LD_LIBRARY_PATH=`pwd`/debian/tmp/usr/lib dh_shlibdeps -papt
	dh_gencontrol -p$@ -u -Vlibapt-pkg:major=${LIBAPT_MAJOR}
	dh_makeshlibs -m${LIBAPT_MAJOR} -Vlibapt-pkg${LIBAPT_MAJOR} -papt
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	ln -s libapt-pkg.so.${LIBAPT_MAJOR} debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/

	dh_installdocs -p$@
#	dh_installmenu -papt
#	dh_installinit -papt
#	dh_installcron -papt
#	dh_installmanpages -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:major=${LIBAPT_MAJOR}
	dh_md5sums -p$@
	dh_builddeb -p$@

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

# Update from CVS
l33ch: really-clean
	cvs update
	buildlib/mkChangeLog

# Update from CVS and then configure for build
super-l33ch: l33ch Makefile.in

configure:
	make configure

l33ch-stamp: super-l33ch
	touch l33ch-stamp

really-clean: clean
	-find -name Makefile.in -print0 | xargs -0r rm -f
	find -name ChangeLog | xargs rm -f
	rm -f l33ch-stamp

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary debian/shlibs.local


# Done by the uploader.
#cvs update.. 
#edit debian/changelog
# configure.in has the version automatically updated now.
# edit configure.in
# debian/rules cvs-build

cvs-build:
	rm -rf debian/cvs-build
	cvs update
	buildlib/mkChangeLog
	make startup
	make doc
	tar c --exclude CVS --exclude debian/cvs-build . |\
		(mkdir -p debian/cvs-build/apt-$(APT_DEBVER);cd debian/cvs-build/apt-$(APT_DEBVER);tar x)
# The next line isn't needed, as debuild will make the .tar.gz for us.
#	(cd debian/cvs-build;tar zcf apt_$(APT_DEBVER).tar.gz apt-$(APT_DEBVER))
	(cd debian/cvs-build/apt-$(APT_DEBVER);$(DEB_BUILD_PROG))
	rm ChangeLog

cvs-mkul:
	-mkdir -p ../upload-$(APT_DEBVER)
	cp `find debian/cvs-build -maxdepth 1 -type f` ../upload-$(APT_DEBVER)

## apt 0.3.19

=== debian/changelog ===
apt (0.3.19) frozen unstable; urgency=low
  
  * Updates to apt-cdrom to support integrated non-us nicely, thanks to
    Paul Wade.
  * Fixed that apt-get/cdrom deadlock thing. Closes: #59853, #62945, #61976
  * Fixed hardcoded path. Closes: #59743
  * Fixed Jay's relative path bug
  * Allowed source only CDs. Closes: #58952
  * Space check is supressed if --print-uris is given. Closes: #58965
  * Clarified the documenation examples for non-us. Closes: #58646
  * Typo in the package description. Closes: #60230
  * Man Page typo. Closes: #60347 
  * Typo in Algorithms.cc. Closes: #63577
  * Evil dotty function in apt-cache for generating dependency graphs
    with the as-yet-unpackaged GraphVis.
  * Appears to have been fixed in Janurary.. Closes: #57981
  * New config.guess/sub for the new archs. Closes: #60874
  * Fixed error reporting for certain kinds of resolution failures. 
    Closes: #61327
  * Made autoclean respect 'q' settings. Closes: #63023
  * Fixed up the example sources.list. Closes: #63676
  * Added DPkg::FlushSTDIN to control the flushing of stdin before
    forking dpkg. Closes: #63991
    
 -- Ben Gertzfield <che@debian.org>  Fri, 12 May 2000 21:10:54 -0700

apt (0.3.18) frozen unstable; urgency=low
  
  * Changes in the postinst script. Closes: #56855, #57237
  * Fixed bashism. Closes: #57216, #57335
  * Doc updates. Closes: #57772, #57069, #57331, #57833, #57896
     
 -- Ben Gertzfield <che@debian.org>  Sun, 13 Feb 2000 01:52:31 -0800

apt (0.3.17) unstable; urgency=low

  * RFC 2732 usage for CDROM URIs and fixes to apt-cdrom
  * Fixed the configuration parser to not blow up if ; is in the config 
    string
  * Applied visual patch to dselect install script . Closes #55214
  * Included the configure-index example
  * Minimal CD swaps
  * Library soname has increased
  * Fixed default sources.list to have correct URLs for potato when it 
    becomes stable
  * Added a message about erasing sources.list to dselect setup script
    Closes: #55755
  * No remove prompt if the archives dir has not changed. Closes: #55709
  * Fixed inclusion of 2nd sample config file. Closes: #55374
  * Made file mtimes of 0 not confuse the methods If-Modifed-Since check. 
    Closes: #55991
  
 -- Ben Gertzfield <che@debian.org>  Mon, 31 Jan 2000 12:12:40 -0800
 

apt (0.3.16) unstable; urgency=low
 
  * Made --no-download work. Closes: #52993
  * Now compiles on OpenBSD, Solaris and HP-UX
  * Clarify segfault errors
  * More debhelper fixes. Closes: #52662, #54566, #52090, #53531, #54769
  * Fix for Joel's discovery of glibc removal behavoir.
  * Fix for Ben Collins file: uri from slink upgrade.
  * Fixed resume code in FTP. Closes: #54323
  * Take more precautions to prevent the corruption Joey Hess saw.
  * Fixed --no-list-cleanup
  * RFC 2732 URI parsing ([] for hostnames).
  * Typo in apt-cache man page. Closes: #54949
  
 -- Ben Gertzfield <che@debian.org>  Fri, 14 Jan 2000 08:04:15 -0800
  

apt (0.3.15) unstable; urgency=low

  * Added DSelect::WaitAfterDownload Closes: #49549
  * Fixed cast error in byteswap macro and supporting code. Closes: #50093
  * Fixed buffer overflow for wide terminal sizes. Closes: #50295
  * Made -s and clean not do anything. Closes: #50238
  * Problem with Protected packages and the new OR code.
  * /usr/share/doc stuff. Closes: #51017, #50228, #51141
  * Remove doesn't require a package to be installable. Closes: #51175
  * FTP proxy touch ups in the mabn page. Closes: #51315, #51314

 -- Ben Gertzfield <che@debian.org>  Sat,  4 Dec 1999 21:17:24 -0800

apt (0.3.14) unstable; urgency=low

  * Fix Perl or group pre-depends thing Closes: #46091, #46096, #46233, #45901
  * Fix handling of dpkg's conversions from < -> <= Closes: #46094, #47088
  * Make unparsable priorities non-fatal Closes: #46266, #46267, #46293, #46298
  * Fix handling of '/' for the dist name. Closes: #43830, #45640, #45692
  * Fixed 'Method gave a blank filename' error from IMS queries onto CDs.
    Closes: #45034, #45695, #46537
  * Made OR group handling in the problem resolver more elaborate. Closes: #45646
  * Added APT::Clean-Installed option. Closes: #45973
  * Moves the free space check to after the calculated size is printed.
    Closes: #46639, #47498
  * mipsel arch Closes: #47614
  * Beautified URI printing to not include passwords Closes: #46857
  * Fixed little problem with --no-download Closes: #47557
  * Tweaked Dselect 'update' script to re-gen the avail file even in the
    event of a failure Closes: #47112
  * Retries for source archives too Closes: #47529
  * Unmounts CDROMs iff it mounted them Closes: #45299
  * Checks for the partial directories before doing downloads Closes: #47392
  * no_proxy environment variable (http only!) Closes: #43476
  * apt-cache showsrc Closes: #45799
  * De-Refs Single Pure virtual packages. Closes: #42437, #43555
  * Regexs for install. Closes: #35304, #38835
  * Dependency reports now show OR group relations
  * Re-Install feature. Cloes: #46961, #37393, #38919
  * Locks archive directory on clean (woops)
  * Remove is not 'sticky'. Closes: #48392
  * Slightly more accurate 'can not find package' message. Closes: #48311
  * --trivial-only and --no-remove. Closes: #48518
  * Increased the cache size. Closes: #47648
  * Comment woopsie. Closes: #48789
  * Removes existing links when linking sources. Closes: #48775
  * Problem resolver does not install all virtual packages. Closes: #48591, #49252
  * Clearer usage message about 'source' Closes: #48858
  * Immediate configure internal error Closes: #49062, #48884
  
 -- Ben Gertzfield <che@debian.org>  Sun,  7 Nov 1999 20:21:25 -0800
 

apt (0.3.13) unstable; urgency=low
  
  * Fix timestamp miss in FTP. Closes: #44363
  * Fix sorting of Kept packages. Closes: #44377
  * Fix Segfault for dselect-upgrade. Closes: #44436
  * Fix handling of '/' for the dist name. Closes #43830
  * Added APT::Get::Diff-Only and Tar-Only options. Closes #44384


=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: standard
 Maintainer: APT Development Team <deity@lists.debian.org>
 Standards-Version: 2.4.1
+Build-Depends: debhelper, debiandoc-sgml
 
 Package: apt
 Architecture: any
@@ -18,8 +19,8 @@
  simpler, safer way to install and upgrade packages.
  .
  APT features complete installation ordering, multiple source capability
- and several other unique features, see the Users Guide in 
- /usr/doc/apt/users-guide.txt.gz
+ and several other unique features, see the Users Guide in
+ /usr/doc/apt/guide.text.gz
 
 Package: libapt-pkg-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
-# $Id: rules,v 1.17 1999/05/14 02:51:37 jgg Exp $
+# $Id: rules,v 1.20 2000/05/10 05:59:12 jgg Exp $
 
 
 # For the deb builder, you can run 'debian/rules cvs-build', which does all
@@ -27,6 +27,10 @@
 BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
 override BLD := $(BUILDX)
 
+ifeq ($(words $(BLD)),0)
+override BLD := ./build
+endif
+
 ifneq ($(APT_DEBVER),$(APT_CONFVER))
 .PHONY: configure.in
 configure.in:
@@ -53,7 +57,7 @@
 #	cd build && CXXFLAGS="-g -Wall -D_POSIX_C_SOURCE=199309" ../configure --disable-nls --disable-static --prefix=/usr
 #	cd build && make all-hdr
 #	cd build && make -s
-	
+
 	# Add here commands to compile the package.
 	make
 	touch build-stamp
@@ -78,11 +82,13 @@
 	dh_installdirs -p$@
 #
 # libapt-pkg-doc install
-#
-	-cp -a $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
-	  $(BLD)/docs/files* $(BLD)/docs/method* debian/libapt-pkg-doc/usr/doc/apt/
-	cp -a debian/libapt-pkg-doc.dhelp debian/libapt-pkg-doc/usr/doc/libapt-pkg-doc/.dhelp
-	dh_installdocs -p$@
+#	
+	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
+                            $(BLD)/docs/files* $(BLD)/docs/method*
+			    
+	-cp -a debian/libapt-pkg-doc.dhelp debian/libapt-pkg-doc/usr/doc/libapt-pkg-doc/.dhelp
+	-cp -a debian/libapt-pkg-doc.dhelp debian/libapt-pkg-doc/usr/share/doc/libapt-pkg-doc/.dhelp
+	
 	dh_installexamples -p$@
 #	dh_installmenu -p$@
 #	dh_installinit -p$@
@@ -121,35 +127,24 @@
 	cp $(BLD)/bin/methods/* debian/tmp/usr/lib/apt/methods/
 
 	cp $(BLD)/scripts/dselect/* debian/tmp/usr/lib/dpkg/methods/apt/
-#	cp debian/sources.list debian/tmp/etc/apt/
-
-	# Copy the users guide	
-	-cp $(BLD)/docs/guide.text debian/tmp/usr/doc/apt/users-guide.txt
-	-cp -a $(BLD)/docs/guide.html/* debian/tmp/usr/doc/apt/users-guide.html/
-	
-	# Copy the offline guide	
-	-cp $(BLD)/docs/offline.text debian/tmp/usr/doc/apt/offline.txt
-	-cp -a $(BLD)/docs/offline.html/* debian/tmp/usr/doc/apt/offline.html/
-	
-	cp -a debian/dhelp debian/tmp/usr/doc/apt/.dhelp
+
+	# Copy the guides
+	dh_installdocs -p$@ $(BLD)/docs/guide.text $(BLD)/docs/guide.html \
+	               $(BLD)/docs/offline.text $(BLD)/docs/offline.html
+	
+	# One or the other..
+	-cp -a debian/dhelp debian/tmp/usr/doc/apt/.dhelp
+	-cp -a debian/dhelp debian/tmp/usr/share/doc/apt/.dhelp 
 	
 #	head -n 500 ChangeLog > debian/ChangeLog
 
-
-
-	dh_installdocs -p$@
 	dh_installexamples -papt $(BLD)/docs/examples/*
-#	dh_installmenu -papt
-#	dh_installinit -papt
-#	dh_installcron -papt
 	dh_installmanpages -p$@
 
-#	dh_undocumented -papt
 	dh_installchangelogs -p$@
 	dh_strip -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
-#	dh_suidregister -p$@
 	dh_installdeb -p$@
 	LD_LIBRARY_PATH=`pwd`/debian/tmp/usr/lib dh_shlibdeps -papt
 	dh_gencontrol -p$@ -u -Vlibapt-pkg:major=${LIBAPT_MAJOR}
@@ -165,7 +160,8 @@
 #
 # libapt-pkg-dev install
 #
-	ln -s libapt-pkg.so.${LIBAPT_MAJOR} debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
+	cp -a $(BLD)/bin/libapt-pkg.so debian/libapt-pkg-dev/usr/lib/
+	#ln -s libapt-pkg.so.${LIBAPT_MAJOR} debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
 	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/
 
 	dh_installdocs -p$@
